Subject: git submodule should honor "-c credential.helper" command line argument

From: Marc Strapetz <[email-masked]>
Date: Tue, 2 Feb 2016 18:13:14 +0100

git -c credential.helper=helper submodule update --init submodule

does not invoke "helper", but falls back to the default strategies.
When configuring in ~/.gitconfig:

[credential]
   helper=helper

git submodule update --init submodule

works fine. This behavior is somewhat unexpected -- is this a bug or by 
intention? In case intention, what's the recommended way to "inject" 
credentials helpers to work on submodules without modifying Git's config 
files?

Tested with Git 2.5.0 (Windows).

-Marc